clear;clc;clf;

% Calculate average debt and VaR with issuance cost

store_1=zeros(19*12,3);
store_1_50=zeros(19*12,3);
store_1_100=zeros(19*12,3);

for h=12:1:20*12
    h
    store_1(h,:)=fixed1([h 0 0]);
    store_1_50(h,:)=fixed1([h 0 0.005/12]);
    store_1_100(h,:)=fixed1([h 0 0.01/12]);
end

% Figure 12: Liquidity effects

figure(12);
plot(store_1(12:end,2),100*store_1(12:end,3),'b.');
hold on;
plot(store_1_50(12:end,2),100*store_1_50(12:end,3),'r.');
hold on;
plot(store_1_100(12:end,2),100*store_1_100(12:end,3),'g.');
xlabel('Average debt-GDP');
ylabel('Average VaR');
set(gca,'FontSize',16);
legend('x=0bp','x=50bp','x=100bp','location','northwest');
xlim([25 65]);