% Hall-Sargent decompositions for actual issuance in Tables 3 and 4

clear;clc;

% Load face and market values of nominal fixed-term debt at monthly frequency

load debt_f_data debt_face debt_face_n debt_face_i debt_market ...
     debt_market_n debt_market_i startyear endyear;
 
% Load nominal payments on nominal fixed-term debt at monthly frequency

load returns_f_data index_for_pay pay pay1 pay2;

% Load GDP and debt data

load data_BOE YBHA3 YBHA3_real debt_boe % GDP is 1700-2017, Debt is 1691-2016
startyearGDP=1700; endyearGDP=2017;

% Pairs of start and end dates for actual issuance in Tables 3 and 4

starts=[1914 1914 1946 1971 1998];
ends=[2017 1945 1970 1997 2017];

% Define array to store results

Results_data=zeros(9,size(starts,2));

% Loop through pairs of years of interest

for ii=1:size(starts,2)
    
    % Identify start and end dates

    year1=starts(ii);
    year2=ends(ii);
    
    % Hall-Sargent decomposition on historical data
    
    decompose;
    
    % Store results
    
    Results_data(:,ii)=Results;
    
end

Results_data=Results_data';